<?php
namespace Bushelpowered\Api\Platform\Eventstore\Request;
        
class StoreEventsRequest 
{
    /** @var string $stream The name of the stream*/
    public string $stream;
    /** @var \Bushelpowered\Api\Platform\Eventstore\Common\Event[] $events */
    public array $events;
    /** @var \Bushelpowered\Api\Platform\Eventstore\Common\SerializationToken $serializationToken */
    public \Bushelpowered\Api\Platform\Eventstore\Common\SerializationToken $serializationToken;

    /**
     * @param  string  $stream The name of the stream
     * @param  \Bushelpowered\Api\Platform\Eventstore\Common\Event[]  $events 
     * @param  \Bushelpowered\Api\Platform\Eventstore\Common\SerializationToken  $serializationToken 
     */
    public function __construct(string $stream, array $events, \Bushelpowered\Api\Platform\Eventstore\Common\SerializationToken $serializationToken)
    {
        $this->stream = $stream;
        $this->events = $events;
        $this->serializationToken = $serializationToken;
    }
    

}